//+------------------------------------------------------------------+
//|                                              Indicator_MACD.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright ""
#property link      ""

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red
//---- input parameters
extern int       pF=13;
extern int       pS=21;
extern int       pF1=21;
extern int       pS1=34;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_ARROW, EMPTY, 3);
   SetIndexArrow(0,241);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexEmptyValue(0,0.0);
   SetIndexStyle(1,DRAW_ARROW, EMPTY, 3);
   SetIndexArrow(1,242);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexEmptyValue(1,0.0);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   if(counted_bars>0) counted_bars--;
   int limit = Bars-counted_bars;
   if(limit > Bars-MathMax(pF1,pS1))
     limit = Bars-MathMax(pF1,pS1);
   
   for(int i = limit; i>= 0; i--)
    {
     double MAF1 =iMACD(NULL,0,pF,pS,1,1,MODE_MAIN, i+1);
     double MAF2 =iMACD(NULL,0,pF1,pS1,1,1,MODE_MAIN, i+2);
     if( 0 <MAF1 > MAF2)
      ExtMapBuffer2[i] = High[i]+iATR(Symbol(), 0, 14, i);
     if(0 <MAF1 > MAF2)
      ExtMapBuffer1[i] = Low[i]-iATR(Symbol(), 0, 14, i); 
     }
//----
   return(0);
  }
//+------------------------------------------------------------------+